API - API call to fetch Service or Lead Files
List Files of a Service in SAC360
GET /sac360/list_file_attendance/:id
Full endpoint: https://sprinthub-api-master.sprinthub.app/sac360/list_file_attendance/XXXX?i=instance
i = name of your instance
XXXX = ID of the Service in SAC360
Name
Value
apitoken
XXXXXXX
Response
[
{
"type": "video",
"url": "https://mmg.whatsapp.net/v/xxxxxxxx2_5xxxx6_n.enc?ccb=11-4&oh=01xxxxxxFUg&oe=66CEF3DC&_nc_sid=xxxxx3=true",
"mimetype": "video/mp4",
"s3url": "https://xxxxxx.amazonaws.com/xxxxxxx/whatsapp/2024/07/xxxxxEF60.mp4",
"s3urlcurt": "whatsapp/2024/07/xxxxxxEF60.mp4",
"ext": "mp4"
},
{
"type": "audio",
"url": "https://mmg.whatsapp.net/v/XXXXXXXy&oe=66CF2DF4&_nc_sid=xxxxxmms3=true",
"mimetype": "audio/aac",
"s3url": "https://xxxxxx.amazonaws.com/xxxxxx/whatsapp/2024/07/xxxxxxD1.aac",
"s3urlcurt": "whatsapp/2024/07/xxxxxx649D1.aac",
"ext": "aac"
}
]{
"error": "Invalid request"
}Example in Postman

List Files of a Lead (Lists all files from all the Lead's services)
GET /sac360/list_file_lead/:id
Full endpoint: https://sprinthub-api-master.sprinthub.app/sac360/list_file_lead/XXXX?i=instance
i = name of your instance
XXXX = ID of the Lead
Headers
Name
Value
apitoken
XXXXXXX
Response
Example in Postman

Last updated